### Name: aic.ED.locfit
### Title: Compute Akaike's Information Criterion.
### Aliases: aic.ED.locfit aic.ED.locfit-methods aic.ED.locfit,fitED-method
### Keywords: methods

### ** Examples

#Function to generate data for a binary response model. The response variable has a success probability pnorm(x, mean=0.5, sd=0.5).
ybin=function(x){
        n=length(x)
        y=numeric(n)
        p=pnorm(x, mean=0.5, sd=0.5)
        for(i in 1:n){
        y[i]=rbinom(1,1,prob=p[i])
        }
        return(y)
}

x=seq(0,1,length.out=50) #the variable x presents the different dose levels
y=ybin(x)                              #y is the binary response simulated by the above function

fit=locfit(y~lp(x,deg=1, h=0.1, nn=0))   #fits a local linear estimate for the success probability using the locfit function

aic(fit)
res=ED(list(x,y), alpha=seq(0.2,0.8, length.out=40)) #a list is used and internally the function locfit
res2=ED(fit, alpha=seq(0.2,0.8, length.out=40)) #the function ED is applied to a personally adjusted this-is-escaped-codenormal-bracket31bracket-normal object

aic.ED.locfit(res)
aic.ED.locfit(res2)



