###################################################
### chunk number 1: 
###################################################
library(EffectiveDose)
ybin=function(x){
        n=length(x)
        y=numeric(n)
        p=pnorm(x, mean=0.5, sd=0.5)
        for(i in 1:n){
        y[i]=rbinom(1,1,prob=p[i])
        }
        return(y)
}

x=seq(0,1,length.out=50) 
y=ybin(x)                             


###################################################
### chunk number 2: 
###################################################
fit=locfit(y~lp(x,deg=1, h=0.1, nn=0)) 
fit2=locpoly(x,y, degree=1, bandwidth=0.1) 

res=ED(list(x,y), alpha=seq(0.2,0.8, length.out=40)) 
res2=ED(fit, alpha=seq(0.2,0.8, length.out=40))
res3=ED(fit2, alpha=seq(0.2,0.8, length.out=40)) 


###################################################
### chunk number 3: 
###################################################
toxdata=data.frame(conc=c(0.000,0.220, 0.355, 0.444, 0.887), matured=c(12,7,8,2,0), total=c(12,8,11,11,11))

with(toxdata, ED(list(x=conc, y=matured/total), alpha=c(0.1,0.2,0.5,0.8,0.9), mono="decreasing")) 


###################################################
### chunk number 4:  eval=FALSE
###################################################
## m=1000
## s=10
## alpha=seq(0.1,0.9, length.out=s)
## 
## 
## ybeob=function(x){
## 	p=pnorm(x, mean=0.5, sd=0.5)
## 	y=rbinom(1,1,prob=p)
## }
## 
## qinv=qnorm(alpha, mean=0.5, sd=0.5)
## 
## 
## res=matrix(nrow=m, ncol=s)
## res2=matrix(nrow=m, ncol=s)
## res3=matrix(nrow=m, ncol=s)
## 
## for(r in 1:m){
## for(l in 1:s){
## x=seq(0,1,length.out=50)
## n=length(x)
## y=numeric(n)
## for(i in 1:n){
## y[i]=ybeob(x[i])
## }
## 
## fit=locfit(y~lp(x,deg=1, h=0.1, nn=0))  
## fit2=locpoly(x,y, degree=1, bandwidth=0.1)
## 
## W=Boot.CI(list(x,y), alpha=alpha[l], bandwidth=0.1)
## W2=Boot.CI(fit,alpha=alpha[l], bandwidth=0.1)
## W3=Boot.CI(fit2,alpha=alpha[l], bandwidth=0.1)
## 
## res[r,l]=(qinv[l]>W@CI[1])&(qinv[l]<W@CI[2])
## res2[r,l]=(qinv[l]>W2@CI[1])&(qinv[l]<W2@CI[2])
## res3[r,l]=(qinv[l]>W3@CI[1])&(qinv[l]<W3@CI[2])
## }
## }
## 
## apply(res,2,mean)
## apply(res2,2,mean)
## apply(res3,2,mean)


